%define name	opengroupware-webui-resource
%define version 1.0
%define cvs     20030721
%define release %{cvs}.1mdk

Summary:     	OpenGroupware.org WebUI resource
Name:        	%{name}
Version:     	%{version}
Release:     	%{release}
License:     	GPL
URL: 		http://www.opengroupware.org
Group:       	Networking/Other
Prefix:      	%{_libdir}/opengroupware.org
BuildRoot:  	%{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic opengroupware-webui-libs, opengroupware-webui-common
Source:      opengroupware.org-webui-resource-%{cvs}.tar.bz2

BuildArch: noarch

#SxBuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel
#SxInstallRequires:  opengroupware-gstep-make opengroupware-gstep-make-devel

%description
This package contains parts of the OpenGroupware.org WebUI.

%package en
Summary:  The english part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make

%description en
The english part of the OpenGroupware WebUI resources.

%package de
Summary:  The german part of the OpenGroupware WebUI resources.
Group:    Networking/Other
Requires: opengroupware-gstep-make

%description de
The german part of the OpenGroupware WebUI resources.

%prep
%setup -q -n opengroupware.org-webui-resource

%install
rm -fr ${RPM_BUILD_ROOT}
source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
mkdir -p $I
cp -r Resources $I
rm -f $I/Resources/COPYRIGHT \
      $I/Resources/GNUmakefile

%files en
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/English.lproj

%files de
%defattr(-,root,root,-)
%dir %{prefix}/Resources
%{prefix}/Resources/German.lproj

%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Thu Sep 4 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile
